Subject: Re: bug#25821: grep-3.0 FAILS on Make phase

From: Paul Eggert <[email-masked]>
Date: Mon, 20 Feb 2017 16:35:23 -0800

Thanks for the bug report <https://bugs.gnu.org/25821>. I'm forwarding this to 
bug-gnulib, as it is apparently a bug in the Gnulib lock module's implementation 
on the Hurd.

This bug does not affect grep per se, as it's a Gnulib test-harness bug and not 
a Grep bug. I'm therefore closing the Grep bug report.

> I´m trying to build 'grep' version 3.0 on Hurd system through Guix package
> manager, in the 'Make' phase i´ve the error:
>
> /-------------------------------------------------------------/
>  CC       localcharset.o
>   CC       glthread/lock.o
> glthread/lock.c: In function 'glthread_rwlock_init_for_glibc':
> glthread/lock.c:53:3: warning: implicit declaration of function
> 'pthread_rwlockattr_setkind_np' [-Wimplicit-function-declaration]
>    err = pthread_rwlockattr_setkind_np (&attributes,
>    ^
> glthread/lock.c:54:40: error: 'PTHREAD_RWLOCK_PREFER_WRITER_NONRECURSIVE_NP'
> undeclared (first use in this function)
>
> PTHREAD_RWLOCK_PREFER_WRITER_NONRECURSIVE_NP);
>                                         ^
> glthread/lock.c:54:40: note: each undeclared identifier is reported only once
> for each function it appears in
> Makefile:1711: recipe for target 'glthread/lock.o' failed
> make[3]: *** [glthread/lock.o] Error 1
> make[3]: Leaving directory '/tmp/guix-build-grep-3.0.drv-0/grep-3.0/lib'
> Makefile:1478: recipe for target 'all' failed
> make[2]: *** [all] Error 2
> make[2]: Leaving directory '/tmp/guix-build-grep-3.0.drv-0/grep-3.0/lib'
> Makefile:1291: recipe for target 'all-recursive' failed
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory '/tmp/guix-build-grep-3.0.drv-0/grep-3.0'
> Makefile:1232: recipe for target 'all' failed
> make: *** [all] Error 2
> phase `build' failed after 5.3 seconds
> /-------------------------------------------------------------/
>
> Any ideas that can help me to understand the error?
>
> Attached environment variables file and build log file.
> Thanks